Index: trunk/INSTALL/arquivos/expresso.dump
===================================================================
--- trunk/INSTALL/arquivos/expresso.dump	(revision 7527)
+++ trunk/INSTALL/arquivos/expresso.dump	(revision 7528)
@@ -13500,9 +13500,9 @@
 phpgwapi	sessions_timeout	14400
 phpgwapi	sessions_app_timeout	86400
-phpgwapi	ldap_root_pw	prognus
+phpgwapi	ldap_root_pw	LDAP_PWD
 contactcenter	cc_global_source0	ldap
 contactcenter	cc_catalog_name	Catálogo Geral
 contactcenter	cc_ldap_host0	127.0.0.1
-contactcenter	cc_ldap_context0	dc=prognus,dc=org
+contactcenter	cc_ldap_context0	LDAP_DN
 phpgwapi	asyncservice	off
 phpgwapi	cal_expressoMail	1.2
@@ -13525,7 +13525,7 @@
 phpgwapi	acl_default	deny
 phpgwapi	ldap_host	127.0.0.1
-phpgwapi	ldap_context	dc=prognus,dc=org
-phpgwapi	ldap_group_context	dc=prognus,dc=org
-phpgwapi	ldap_root_dn	cn=admin,dc=prognus,dc=org
+phpgwapi	ldap_context	LDAP_DN
+phpgwapi	ldap_group_context	LDAP_DN
+phpgwapi	ldap_root_dn	cn=admin,LDAP_DN
 phpgwapi	ldap_encryption_type	md5
 phpgwapi	ldap_version3	True
@@ -13540,7 +13540,7 @@
 phpgwapi	server_webjabber	127.0.0.1
 phpgwapi	server_ldap_jabber	127.0.0.1
-phpgwapi	context_ldap_jabber	dc=prognus,dc=org
-phpgwapi	user_ldap_jabber	cn=admin,dc=prognus,dc=org
-phpgwapi	password_ldap_jabber	prognus
+phpgwapi	context_ldap_jabber	LDAP_DN
+phpgwapi	user_ldap_jabber	cn=admin,LDAP_DN
+phpgwapi	password_ldap_jabber	LDAP_PWD
 workflow	workflow_database_type	pgsql
 workflow	database_type	pgsql
@@ -13555,7 +13555,7 @@
 jabberit_messenger	use_ssl_jabberit	false
 jabberit_messenger	server_ldap_jabberit	localhost
-jabberit_messenger	context_ldap_jabberit	dc=prognus,dc=org
-jabberit_messenger	password_ldap_jabberit	prognus
-jabberit_messenger	user_ldap_jabberit	uid=expresso-admin,ou=ORG,dc=prognus,dc=org
+jabberit_messenger	context_ldap_jabberit	LDAP_DN
+jabberit_messenger	password_ldap_jabberit	LDAP_PWD
+jabberit_messenger	user_ldap_jabberit	uid=expresso-admin,ou=ORG,LDAP_DN
 phpgwapi	name_jabberit	localhost
 phpgwapi	port_jabberit	5222
@@ -13563,7 +13563,7 @@
 phpgwapi	use_ssl_jabberit	false
 phpgwapi	server_ldap_jabberit	localhost
-phpgwapi	context_ldap_jabberit	dc=prognus,dc=org
-phpgwapi	user_ldap_jabberit	uid=expresso-admin,ou=ORG,dc=prognus,dc=org
-phpgwapi	password_ldap_jabberit	prognus
+phpgwapi	context_ldap_jabberit	LDAP_DN
+phpgwapi	user_ldap_jabberit	uid=expresso-admin,ou=ORG,LDAP_DN
+phpgwapi	password_ldap_jabberit	LDAP_PWD
 contactcenter	cc_ldap_query_automatic	true
 workflow	log_type_file	True
@@ -13588,6 +13588,6 @@
 workflow	workflow_database_user	postgres
 workflow	ldap_host	localhost
-workflow	ldap_user_context	dc=prognus,dc=org
-workflow	ldap_group_context	dc=prognus,dc=org
+workflow	ldap_user_context	LDAP_DN
+workflow	ldap_group_context	LDAP_DN
 workflow	ldap_follow_referrals	False
 workflow	mainframe_environment	D
@@ -13595,5 +13595,5 @@
 expressoMail1_2	expressoMail_limit_labels	20
 phpgwapi	csspacker	False
-phpgwapi	admin_mails	expresso-admin@prognus.org
+phpgwapi	admin_mails	expresso-admin@DOMAIN
 phpgwapi	cc_allow_details	false
 phpgwapi	defaultCalendar	expressoCalendar
@@ -13625,5 +13625,5 @@
 
 COPY phpgw_emailadmin (profileid, smtpserver, smtptype, smtpport, smtpdelimiter, smtpauth, smtpldapserver, smtpldapbasedn, smtpldapadmindn, smtpldapadminpw, smtpldapusedefault, imapserver, imaptype, imapport, imapdelimiter, imaplogintype, imaptlsauthentication, imaptlsencryption, imapenablecyrusadmin, imapadminusername, imapadminpw, imapenablesieve, imapsieveserver, imapsieveport, description, defaultdomain, organisationname, userdefinedaccounts, imapoldcclient, imapdefaulttrashfolder, imapdefaultsentfolder, imapdefaultdraftsfolder, imapdefaultspamfolder, imapcreatespamfolder, imapcyrususerpostspam) FROM stdin;
-1	127.0.0.1	2	25	\N		127.0.0.1	dc=prognus,dc=org	cn=admin,dc=prognus,dc=org	prognus	yes	127.0.0.1	3	143	/	standard			yes	expresso-admin	prognus	yes	127.0.0.1	2000	Expresso	prognus.prognus.org	prognus			Trash	Sent	Drafts	Spam	\N	\N
+1	127.0.0.1	2	25	\N	127.0.0.1	LDAP_DN cn=admin,LDAP_DN	LDAP_PWD	yes 127.0.0.1	3	143 /	standard			yes expresso-admin	LDAP_PWD	yes 127.0.0.1	2000	Expresso	LDAP_PWD.DOMAIN LDAP_PWD			Trash	Sent	Drafts	Spam	\N	\N
 \.
 
@@ -13634,5 +13634,5 @@
 
 COPY phpgw_expressoadmin (manager_lid, context, acl) FROM stdin;
-expresso-admin	dc=prognus,dc=org	34335619063
+expresso-admin	LDAP_DN	34335619063
 \.
 
@@ -13643,53 +13643,53 @@
 
 COPY phpgw_expressoadmin_acls (manager_lid, context, acl_name) FROM stdin;
-expresso-admin	dc=prognus,dc=org	acl_add_users
-expresso-admin	dc=prognus,dc=org	acl_add_groups
-expresso-admin	dc=prognus,dc=org	acl_add_maillists
-expresso-admin	dc=prognus,dc=org	acl_create_sectors
-expresso-admin	dc=prognus,dc=org	acl_edit_users
-expresso-admin	dc=prognus,dc=org	acl_edit_groups
-expresso-admin	dc=prognus,dc=org	acl_edit_maillists
-expresso-admin	dc=prognus,dc=org	acl_edit_sectors
-expresso-admin	dc=prognus,dc=org	acl_delete_users
-expresso-admin	dc=prognus,dc=org	acl_delete_groups
-expresso-admin	dc=prognus,dc=org	acl_delete_maillists
-expresso-admin	dc=prognus,dc=org	acl_delete_sectors
-expresso-admin	dc=prognus,dc=org	acl_rename_users
-expresso-admin	dc=prognus,dc=org	acl_edit_email_groups
-expresso-admin	dc=prognus,dc=org	acl_edit_scl_email_lists
-expresso-admin	dc=prognus,dc=org	acl_manipulate_corporative_information
-expresso-admin	dc=prognus,dc=org	acl_view_users
-expresso-admin	dc=prognus,dc=org	acl_add_shared_accounts
-expresso-admin	dc=prognus,dc=org	acl_add_institutional_accounts
-expresso-admin	dc=prognus,dc=org	acl_edit_maximum_number_of_recipients_generally
-expresso-admin	dc=prognus,dc=org	acl_edit_users_picture
-expresso-admin	dc=prognus,dc=org	acl_edit_shared_accounts
-expresso-admin	dc=prognus,dc=org	acl_edit_institutional_accounts
-expresso-admin	dc=prognus,dc=org	acl_add_maximum_number_of_recipients_by_user
-expresso-admin	dc=prognus,dc=org	acl_edit_users_phonenumber
-expresso-admin	dc=prognus,dc=org	acl_delete_shared_accounts
-expresso-admin	dc=prognus,dc=org	acl_remove_institutional_accounts
-expresso-admin	dc=prognus,dc=org	acl_edit_and_remove_maximum_number_of_recipients_by_user
-expresso-admin	dc=prognus,dc=org	acl_change_users_password
-expresso-admin	dc=prognus,dc=org	acl_edit_shared_accounts_acl
-expresso-admin	dc=prognus,dc=org	acl_add_maximum_number_of_recipients_by_group
-expresso-admin	dc=prognus,dc=org	acl_change_users_quote
-expresso-admin	dc=prognus,dc=org	acl_edit_shared_accounts_quote
-expresso-admin	dc=prognus,dc=org	acl_active_blocking_sending_email_to_shared_accounts
-expresso-admin	dc=prognus,dc=org	acl_edit_and_remove_maximum_number_of_recipients_by_group
-expresso-admin	dc=prognus,dc=org	acl_set_user_default_password
-expresso-admin	dc=prognus,dc=org	acl_empty_shared_accounts_inbox
-expresso-admin	dc=prognus,dc=org	acl_add_blocking_sending_email_to_shared_accounts_exception
-expresso-admin	dc=prognus,dc=org	acl_empty_user_inbox
-expresso-admin	dc=prognus,dc=org	acl_edit_sambausers_attributes
-expresso-admin	dc=prognus,dc=org	acl_edit_sambadomains
-expresso-admin	dc=prognus,dc=org	acl_add_messages_size_rule
-expresso-admin	dc=prognus,dc=org	acl_view_global_sessions
-expresso-admin	dc=prognus,dc=org	acl_edit_messages_size_rule
-expresso-admin	dc=prognus,dc=org	acl_create_computers
-expresso-admin	dc=prognus,dc=org	acl_view_logs
-expresso-admin	dc=prognus,dc=org	acl_remove_messages_size_rule
-expresso-admin	dc=prognus,dc=org	acl_edit_computers
-expresso-admin	dc=prognus,dc=org	acl_delete_computers
+expresso-admin	LDAP_DN	acl_add_users
+expresso-admin	LDAP_DN	acl_add_groups
+expresso-admin	LDAP_DN	acl_add_maillists
+expresso-admin	LDAP_DN	acl_create_sectors
+expresso-admin	LDAP_DN	acl_edit_users
+expresso-admin	LDAP_DN	acl_edit_groups
+expresso-admin	LDAP_DN	acl_edit_maillists
+expresso-admin	LDAP_DN	acl_edit_sectors
+expresso-admin	LDAP_DN	acl_delete_users
+expresso-admin	LDAP_DN	acl_delete_groups
+expresso-admin	LDAP_DN	acl_delete_maillists
+expresso-admin	LDAP_DN	acl_delete_sectors
+expresso-admin	LDAP_DN	acl_rename_users
+expresso-admin	LDAP_DN	acl_edit_email_groups
+expresso-admin	LDAP_DN	acl_edit_scl_email_lists
+expresso-admin	LDAP_DN	acl_manipulate_corporative_information
+expresso-admin	LDAP_DN	acl_view_users
+expresso-admin	LDAP_DN	acl_add_shared_accounts
+expresso-admin	LDAP_DN	acl_add_institutional_accounts
+expresso-admin	LDAP_DN	acl_edit_maximum_number_of_recipients_generally
+expresso-admin	LDAP_DN	acl_edit_users_picture
+expresso-admin	LDAP_DN	acl_edit_shared_accounts
+expresso-admin	LDAP_DN	acl_edit_institutional_accounts
+expresso-admin	LDAP_DN	acl_add_maximum_number_of_recipients_by_user
+expresso-admin	LDAP_DN	acl_edit_users_phonenumber
+expresso-admin	LDAP_DN	acl_delete_shared_accounts
+expresso-admin	LDAP_DN	acl_remove_institutional_accounts
+expresso-admin	LDAP_DN	acl_edit_and_remove_maximum_number_of_recipients_by_user
+expresso-admin	LDAP_DN	acl_change_users_password
+expresso-admin	LDAP_DN	acl_edit_shared_accounts_acl
+expresso-admin	LDAP_DN	acl_add_maximum_number_of_recipients_by_group
+expresso-admin	LDAP_DN	acl_change_users_quote
+expresso-admin	LDAP_DN	acl_edit_shared_accounts_quote
+expresso-admin	LDAP_DN	acl_active_blocking_sending_email_to_shared_accounts
+expresso-admin	LDAP_DN	acl_edit_and_remove_maximum_number_of_recipients_by_group
+expresso-admin	LDAP_DN	acl_set_user_default_password
+expresso-admin	LDAP_DN	acl_empty_shared_accounts_inbox
+expresso-admin	LDAP_DN	acl_add_blocking_sending_email_to_shared_accounts_exception
+expresso-admin	LDAP_DN	acl_empty_user_inbox
+expresso-admin	LDAP_DN	acl_edit_sambausers_attributes
+expresso-admin	LDAP_DN	acl_edit_sambadomains
+expresso-admin	LDAP_DN	acl_add_messages_size_rule
+expresso-admin	LDAP_DN	acl_view_global_sessions
+expresso-admin	LDAP_DN	acl_edit_messages_size_rule
+expresso-admin	LDAP_DN	acl_create_computers
+expresso-admin	LDAP_DN	acl_view_logs
+expresso-admin	LDAP_DN	acl_remove_messages_size_rule
+expresso-admin	LDAP_DN	acl_edit_computers
+expresso-admin	LDAP_DN	acl_delete_computers
 \.
 
@@ -13700,21 +13700,21 @@
 
 COPY phpgw_expressoadmin_apps (manager_lid, context, app) FROM stdin;
-expresso-admin	dc=prognus,dc=org	emailadmin
-expresso-admin	dc=prognus,dc=org	admin
-expresso-admin	dc=prognus,dc=org	calendar
-expresso-admin	dc=prognus,dc=org	help
-expresso-admin	dc=prognus,dc=org	news_admin
-expresso-admin	dc=prognus,dc=org	contactcenter
-expresso-admin	dc=prognus,dc=org	mobile
-expresso-admin	dc=prognus,dc=org	expressoAdmin1_2
-expresso-admin	dc=prognus,dc=org	expressoMail1_2
-expresso-admin	dc=prognus,dc=org	jabberit_messenger
-expresso-admin	dc=prognus,dc=org	reports
-expresso-admin	dc=prognus,dc=org	expressoCalendar
-expresso-admin	dc=prognus,dc=org	filemanager
-expresso-admin	dc=prognus,dc=org	listAdmin
-expresso-admin	dc=prognus,dc=org	phpgwapi
-expresso-admin	dc=prognus,dc=org	preferences
-expresso-admin	dc=prognus,dc=org	workflow
+expresso-admin	LDAP_DN	emailadmin
+expresso-admin	LDAP_DN	admin
+expresso-admin	LDAP_DN	calendar
+expresso-admin	LDAP_DN	help
+expresso-admin	LDAP_DN	news_admin
+expresso-admin	LDAP_DN	contactcenter
+expresso-admin	LDAP_DN	mobile
+expresso-admin	LDAP_DN	expressoAdmin1_2
+expresso-admin	LDAP_DN	expressoMail1_2
+expresso-admin	LDAP_DN	jabberit_messenger
+expresso-admin	LDAP_DN	reports
+expresso-admin	LDAP_DN	expressoCalendar
+expresso-admin	LDAP_DN	filemanager
+expresso-admin	LDAP_DN	listAdmin
+expresso-admin	LDAP_DN	phpgwapi
+expresso-admin	LDAP_DN	preferences
+expresso-admin	LDAP_DN	workflow
 \.
 