Index: trunk/expressoMail1_2/js/draw_api.min.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.min.js	(revision 7545)
+++ trunk/expressoMail1_2/js/draw_api.min.js	(revision 7547)
@@ -611,5 +611,5 @@
 if(jqXHR){jqXHR[iterator].abort();}});fileUploadMSG.find('.attachments-list').append(upload);fileUploadMSG.find('.attachments-list .att-box:last').qtip({content:DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist_tooltip.ejs",{attach:attach}),position:{corner:{tooltip:'bottomMiddle',target:'topMiddle'},adjust:{resize:true,scroll:true,screen:true}},show:{when:'mouseover',ready:false},hide:'mouseout',style:{border:{width:1,radius:5},width:{min:75,max:1000},padding:3,textAlign:'left',tip:true,name:(typeof(attach.error)=='boolean'?'light':'red')}});fileUploadMSG.find('.attachments-list .att-box:last').css('width',fileUploadMSG.find('.attachments-list .att-box:last div:first').css('width'));if(!maxAttachmentSize||file.size<maxAttachmentSize){if(data.fileInput){fileUploadMSG.find('.fileinput-button.new').append(data.fileInput[0]).removeClass('new');fileUploadMSG.find('.attachments-list').find('[type=file]').addClass('hidden');}}else
 fileUploadMSG.find(' .fileinput-button.new').removeClass('new');idattachbycontent++});},done:function(e,data){$("#content_id_"+currentTab+" .save").button("enable");var attach_box=fileUploadMSG.find('.att-box-loading:first').parents('.att-box');var attach={fullFileName:attach_box.find(".att-box-fullfilename").text(),fileSize:attach_box.find(".att-box-filesize").text(),error:false};if(!!data.result&&data.result!="[]"){var newAttach=data.result;if(!newAttach.mailAttachment.error||newAttach.rollback!==false){attach_box.append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>');addAttachment(ID,newAttach['mailAttachment'][0][0].id);}else{attach_box.addClass('invalid-email-box');attach.error=newAttach.mailAttachment.error?newAttach.mailAttachment.error:'Erro ao anexar...';}}else{attach_box.addClass('invalid-email-box');attach.error='Erro ao anexar...';}
-attach_box.qtip("destroy").qtip({content:DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist_tooltip.ejs",{attach:attach}),position:{corner:{tooltip:'bottomMiddle',target:'topMiddle'},adjust:{resize:true,scroll:true,screen:true}},show:{when:'mouseover',ready:false},hide:'mouseout',style:{border:{width:1,radius:5},width:{min:75,max:1000},padding:3,textAlign:'left',tip:true,name:(attach.error==false?'blue':'red')}});fileUploadMSG.find('.att-box-loading:first').remove();}}).css({"height":"20px","width":(is_webkit?"205px":"100px"),"border-width":"0 0 0px 0px","-moz-transform":"rotate(-180deg) translate(-147px, -0.5px) scale(1.1)","-webkit-transform":"rotate(-180deg) translate(-104px, 0px)"}).end().end().end().filter(".message-attach-link").click(function(){jQuery('#message-attach-dialog').html(DataLayer.render("../prototype/modules/attach_message/attach_message.ejs",{}));var lastFolderSelected=$('#content_folders .folder.selected');$("#mailpreview_container span.ui-icon-close").click();jQuery('#message-attach-dialog').dialog({width:920,height:550,resizable:false,modal:true,closeOnEscape:true,close:function(event,ui)
+attach_box.qtip("destroy").qtip({content:DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist_tooltip.ejs",{attach:attach}),position:{corner:{tooltip:'bottomMiddle',target:'topMiddle'},adjust:{resize:true,scroll:true,screen:true}},show:{when:'mouseover',ready:false},hide:'mouseout',style:{border:{width:1,radius:5},width:{min:75,max:1000},padding:3,textAlign:'left',tip:true,name:(attach.error==false?'blue':'red')}});fileUploadMSG.find('.att-box-loading:first').remove();}}).css({"height":"20px","width":(is_webkit?"205px":"100px"),"border-width":"0 0 0px 0px","-moz-transform":"rotate(-180deg) translate(5px, -0.5px) scale(1.1)","-webkit-transform":"rotate(-180deg) translate(0px, 0px)"}).end().end().end().filter(".message-attach-link").click(function(){jQuery('#message-attach-dialog').html(DataLayer.render("../prototype/modules/attach_message/attach_message.ejs",{}));var lastFolderSelected=$('#content_folders .folder.selected');$("#mailpreview_container span.ui-icon-close").click();jQuery('#message-attach-dialog').dialog({width:920,height:550,resizable:false,modal:true,closeOnEscape:true,close:function(event,ui)
 {event.stopPropagation();if(typeof(shortcut)!='undefined')shortcut.disabled=false;lastFolderSelected.toggleClass('selected');},open:function(event,ui)
 {if(typeof(shortcut)!='undefined')shortcut.disabled=true;},autoOpen:false});jQuery.getScript("../prototype/modules/attach_message/attach_message.js",function(){jQuery('#message-attach-dialog').dialog('open');jQuery('#message-attach-attach-btn').unbind('click');jQuery('#message-attach-attach-btn').click(function(event){jQuery.each(selectedMessages,function(folder_name,messages){jQuery.each(selectedMessages[folder_name],function(message_number,message){if(message){fileUploadMSG.find(' .attachments-list').show();var att=new Object();att.folder=folder_name;att.uid=message_number;att.type='imapMSG';att.name=Base64.encode(onceOpenedMessages[folder_name][message_number].subject+'.eml');var idATT=JSON.stringify(att);addAttachment(ID,idATT);var attach={};attach.fileName=onceOpenedMessages[folder_name][message_number].subject+'.eml';attach.fullFileName=onceOpenedMessages[folder_name][message_number].subject+'.eml';if(attach.fileName.length>20)
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 7545)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 7547)
@@ -4995,6 +4995,6 @@
 		"width": (is_webkit ? "205px" : "100px"), 
 		"border-width": "0 0 0px 0px", 
-		"-moz-transform" : "rotate(-180deg) translate(-147px, -0.5px) scale(1.1)", 
-		"-webkit-transform" : "rotate(-180deg) translate(-104px, 0px)"
+		"-moz-transform" : "rotate(-180deg) translate(5px, -0.5px) scale(1.1)", 
+		"-webkit-transform" : "rotate(-180deg) translate(0px, 0px)"
 	}).end().end().end().filter(".message-attach-link").click(function(){
 		jQuery('#message-attach-dialog').html(DataLayer.render("../prototype/modules/attach_message/attach_message.ejs", {}));