Index: /trunk/expressoMail1_2/templates/default/index.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/index.tpl	(revision 7074)
+++ /trunk/expressoMail1_2/templates/default/index.tpl	(revision 7548)
@@ -24,5 +24,5 @@
 								<div id="search_div" class="class_search_div" style="white-space:nowrap">
 									<input type="text" id="em_message_search" size="17" style="margin-left: 5px;"/>
-									<img style="padding:0px 8px; width:16px; height:16px; margin: -5px -5px; cursor:pointer;" class="" src="templates/default/images/search.gif" onMouseOut="window.status='';return true;" title='{lang_Open_Search_Window}' onMouseOver="window.status='{lang_Open_Search_Window}';return true;" href="javascript:void(0);"  onClick="javascript:search_emails(Element('em_message_search').value)"></img> 
+									<img style="padding:0px 8px; width:16px; height:16px; margin: -5px -5px; cursor:pointer;background-position: 0 -371px" class="" src="templates/default/images/mail-gifs.gif" onMouseOut="window.status='';return true;" title='{lang_Open_Search_Window}' onMouseOver="window.status='{lang_Open_Search_Window}';return true;" href="javascript:void(0);"  onClick="javascript:search_emails(Element('em_message_search').value)"></img> 
 									<img style="padding:0px 8px; width:16px; height:16px; margin: -5px -5px; cursor:pointer;" class="" src="templates/default/images/users.gif" onMouseOut="window.status='';return true;" title='{lang_search_user}' onMouseOver="window.status='{lang_search_user}' ;return true;" href="javascript:void(0);"  onClick="javascript:emQuickSearch(Element('em_message_search').value, 'null', 'null', 'expressoMail')"></img> 
 								</div>
Index: /trunk/expressoMail1_2/templates/default/index_offline.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/index_offline.tpl	(revision 3511)
+++ /trunk/expressoMail1_2/templates/default/index_offline.tpl	(revision 7548)
@@ -35,5 +35,5 @@
 					<input type="text" id="em_message_search" size="16" maxlength="22" onfocus="javascript:onFocusQuickSearchEmail(this); return false;"/>
 					<a class='' onMouseOut="window.status='';return true;" title='{lang_Open_Search_Window}' onMouseOver="window.status='{lang_Open_Search_Window}';return true;" href="javascript:void(0);"  onClick="javascript:search_emails(Element('em_message_search').value)">
-						<img valign="center" align="center" src="templates/{template}/images/search.gif">
+						<img valign="center" align="center" src="templates/{template}/images/mail-gifs.gif" style="background-position: 0 -371px">
 					</a>
 					<!--a class='' onMouseOut="window.status='';return true;" title='{lang_search_user}' onMouseOver="window.status='{lang_search_user}' ;return true;" href="javascript:void(0);"  onClick="javascript:emQuickSearch(Element('em_message_search').value, 'null', 'null')">
Index: /trunk/expressoMail1_2/js/InfoContact.js
===================================================================
--- /trunk/expressoMail1_2/js/InfoContact.js	(revision 6139)
+++ /trunk/expressoMail1_2/js/InfoContact.js	(revision 7548)
@@ -11,5 +11,5 @@
 emInfoContact.prototype.createCard = function(){
 	var pic= new Image(); 
-	pic.src="./templates/"+template+"/images/card.gif"; 
+	pic.src="./templates/"+template+"/images/mail-gifs.gif"; 
 	card = document.createElement("DIV");
 	card.id = "card_cc";
@@ -17,7 +17,8 @@
 	card.style.width = "244px";
 	card.style.backgroundImage = "url("+pic.src+")";
+	card.style.backgroundPosition = "0 -58px;"
 	card.style.height = "134px";
 	card.style.position = "absolute";
-	card.innerHTML = "<table onmouseout='InfoContact.timeout_hide=setTimeout(\"InfoContact.hide()\",50);' onmouseover='clearTimeout(InfoContact.timeout_hide);' cellpadding=0 cellspacing=0 width='100%' height='100%'><tr><td valign='center' align='center' id='card_cc_td'></td></tr></table>";
+	card.innerHTML = "<table id='lala' onmouseout='InfoContact.timeout_hide=setTimeout(\"InfoContact.hide()\",50);' onmouseover='clearTimeout(InfoContact.timeout_hide);' cellpadding=0 cellspacing=0 width='100%' height='100%'><tr><td valign='center' align='center' id='card_cc_td'></td></tr></table>";
 	document.body.appendChild(card);
 }
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 7539)
+++ /trunk/expressoMail1_2/js/main.js	(revision 7548)
@@ -3948,5 +3948,5 @@
 		var newTr = make_tr_message(msg,get_current_folder());
 		if (msg.attachments && msg.attachments.length){
-			$(newTr).find('td').eq(1).html("<img src ='templates/"+template+"/images/clip.gif'>");
+			$(newTr).find('td').eq(1)..css({'background-image':'url(templates/'+template+'/images/mail-gifs.gif)','background-position': '0 -242px'});
 		}		
 		tbody.append(newTr);
Index: /trunk/expressoMail1_2/js/manifest
===================================================================
--- /trunk/expressoMail1_2/js/manifest	(revision 6930)
+++ /trunk/expressoMail1_2/js/manifest	(revision 7548)
@@ -151,6 +151,4 @@
 	  { "url": "../templates/default/images/arrow_ascendant.gif" },
   	  { "url": "../templates/default/images/answered.gif" },
-  	  { "url": "../templates/default/images/clip.gif" },
-  	  { "url": "../templates/default/images/card.gif" },
   	  { "url": "../templates/default/images/close_button.gif" },
   	  { "url": "../templates/default/images/deny.gif" },
@@ -160,5 +158,4 @@
   	  { "url": "../templates/default/images/forwarded.gif" },
   	  { "url": "../templates/default/images/bold.gif" },
-  	  { "url": "../templates/default/images/dsalert.gif" },
   	  { "url": "../../phpgwapi/templates/default/images/dsunused.gif" },
   	  { "url": "../templates/default/images/dsused.gif" },
@@ -188,5 +185,4 @@
   	  { "url": "../templates/default/images/redo.gif" },
   	  { "url": "../templates/default/images/right.button.gif" },
-  	  { "url": "../templates/default/images/search.gif" },
   	  { "url": "../templates/default/images/sent.gif" },
   	  { "url": "../templates/default/images/signature.gif" },
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 7545)
+++ /trunk/expressoMail1_2/js/search.js	(revision 7548)
@@ -528,5 +528,5 @@
 				{
 					attachNum = parseInt(aux.flag.substr(aux.flag.indexOf('T')+1));
-					td1 = "<img src='templates/"+template+"/images/clip.gif'>";
+					$(td1).css({'background-image':'url(templates/'+template+'/images/mail-gifs.gif)','background-position': '0 -242px'});
 				}
 				else
Index: /trunk/expressoMail1_2/js/main.min.js
===================================================================
--- /trunk/expressoMail1_2/js/main.min.js	(revision 7541)
+++ /trunk/expressoMail1_2/js/main.min.js	(revision 7548)
@@ -590,5 +590,5 @@
 if(proxy_mensagens.is_local_folder(get_current_folder())){var msgs=Array();var _msg={};$.each(get_selected_messages().split(','),function(index,value){_msg.header=expresso_mail_archive.getMessageHeaders(value);_msg.body=expresso_mail_archive.getMessageBodies([value]);msgs.push($.extend({},_msg.header,_msg.body[0]));});print_bodies(msgs);}
 else{$.ajax({url:"controller.php?"+$.param({action:"$this.imap_functions.getMessages",details:"all",messages:messages,}),success:function(data){data=connector.unserialize(data);if(data){print_bodies(data[get_current_folder()]);}},beforeSend:function(jqXHR,settings){connector.showProgressBar();},complete:function(jqXHR,settings){connector.hideProgressBar();}});}}
-function newTbody(messages){var tbody=$("<tbody>");$.each(messages,function(index,msg){var newTr=make_tr_message(msg,get_current_folder());if(msg.attachments&&msg.attachments.length){$(newTr).find('td').eq(1).html("<img src ='templates/"+template+"/images/clip.gif'>");}
+function newTbody(messages){var tbody=$("<tbody>");$.each(messages,function(index,msg){var newTr=make_tr_message(msg,get_current_folder());if(msg.attachments&&msg.attachments.length){$(newTr).find('td').eq(1)..css({'background-image':'url(templates/'+template+'/images/mail-gifs.gif)','background-position':'0 -242px'});}
 tbody.append(newTr);});return tbody.html();}
 function print_messages_list(){var print_list=function(tbody,folder){var print_width=screen.width-200;var x=((screen.width-print_width)/2);var y=((screen.height-400)/2)-35;var window_print=window.open('','ExpressoMail','width='+print_width+',height=400,resizable=yes,scrollbars=yes,left='+x+',top='+y);seekDot=(is_ie?/width=24/gi:/width="24"/gi);var thead="<tr class=\"message_header\"> <td width=\"3%\"></td><td width=\"2%\"></td><td width=\"1%\"></td><td width=\"1%\"></td><td width=\"1%\"></td><td width=\"1%\"></td><td width=\"2%\"></td><td width=\"2%\"></td><td width=\"2%\"></td><td id=\"message_header_SORTFROM_0\" class=\"th_resizable\" align=\"left\" width=\"20%\">De</td><td id=\"message_header_SORTSUBJECT_0\" class=\"th_resizable\" align=\"left\" width=\"*\">Assunto</td><td id=\"message_header_SORTARRIVAL_0\" class=\"th_resizable\" align=\"center\" width=\"11%\"><b>Data</b><img src=\"templates/default/images/arrow_descendant.gif\"></td><td id=\"message_header_SORTSIZE_0\" class=\"th_resizable\" align=\"left\" width=\"11%\">Tamanho</td></tr>";tbody=tbody.replace(seekDot,"style='display:none'");seekDot=(is_ie?/width=16/gi:/width="16"/gi);tbody=tbody.replace(seekDot,"style='display:none'");seekDot=(is_ie?/width=12/gi:/width="12"/gi);tbody=tbody.replace(seekDot,"style='display:none'");while(1){try{window_print.document.open();var html='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"><html>'
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 7547)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 7548)
@@ -1886,5 +1886,5 @@
 		td_element2 = createTDElement(0,1,"td_msg");
 		if (headers_msgs.attachment && (headers_msgs.attachment == 1 || headers_msgs.attachment.number_attachments> 0))
-			td_element2.innerHTML = "<img src ='templates/"+template+"/images/clip.gif' >";
+			$(td_element2).css({'background-image':'url(templates/'+template+'/images/mail-gifs.gif)','background-position': '0 -242px'});
 
 		td_element21 = createTDElement(0,2,"td_msg",null,"td_message_answered_"+headers_msgs.msg_number);
@@ -2604,8 +2604,12 @@
 	td.innerHTML = _name.bold() + ', ' + info_msg.smalldate;
 	//k!
-	if (info_msg.attachments && info_msg.attachments.length > 0)
-		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+ID+"\").onclick()' src ='templates/"+template+"/images/clip.gif' title='"+info_msg.attachments[0].name+"'>";
-
-	if (typeof(info_msg.signature) == 'string')
+	if (info_msg.attachments && info_msg.attachments.length > 0){
+        td.innerHTML += "&nbsp";
+        $(td).css({'background-image':'url(templates/'+template+'/images/mail-gifs.gif)','background-position': '0 -242px'});
+	    $(td).find('img').css({'cursor':'pointer,title': info_msg.attachments[0].name}).click(function(){
+            $("option_hide_more_"+ID).click();
+        });
+    }    
+    if (typeof(info_msg.signature) == 'string')
 	{
 		if (info_msg.signature != "void")
@@ -4995,6 +4999,6 @@
 		"width": (is_webkit ? "205px" : "100px"), 
 		"border-width": "0 0 0px 0px", 
-		"-moz-transform" : "rotate(-180deg) translate(5px, -0.5px) scale(1.1)", 
-		"-webkit-transform" : "rotate(-180deg) translate(0px, 0px)"
+        "-moz-transform" : "rotate(-180deg) translate(5px, -0.5px) scale(1.1)",  
+        "-webkit-transform" : "rotate(-180deg) translate(0px, 0px)"
 	}).end().end().end().filter(".message-attach-link").click(function(){
 		jQuery('#message-attach-dialog').html(DataLayer.render("../prototype/modules/attach_message/attach_message.ejs", {}));
@@ -5387,5 +5391,5 @@
 			else
 				write_msg(get_lang("Warning: Your Mailbox is almost full!"));
-			$("#quota_progressbar").find(".ui-progressbar-value").css({"background-image": "url(templates/default/images/dsalert.gif)", "border-color" : "red"});
+			$("#quota_progressbar").find(".ui-progressbar-value").css({"background-image": "url(templates/default/images/mail-gifs.gif)", "border-color" : "red",'background-position': '0 -305px'});
 		}
 		else if(value > 80)