Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 7563)
+++ /trunk/expressoMail1_2/js/main.js	(revision 7566)
@@ -1338,10 +1338,4 @@
 		}
 		mail_msg = ( Element("divScrollMain_"+numBox) ) ? Element("divScrollMain_"+numBox).firstChild.firstChild : Element("divScrollMain_0").firstChild.firstChild;
-		if (data.msgs_number.length == 1){
-			write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
-		}
-		else{
-			write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
-		}
 
 		if (openTab.type[currentTab] > 1)
@@ -1485,8 +1479,19 @@
 		}
 
-		if (data.msgs_number.length == 1)
-			write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
-		else
-			write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
+		//Se pref. usar mensagens locais ativada e não for operação de arquivamento exibe mensagem de remoção.
+		if(preferences.use_local_messages == 1){
+			if(!expresso_mail_archive.isArchiveOperation){
+				if (data.msgs_number.length == 1)
+					write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
+				else
+					write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
+			}
+		} else {
+			if (data.msgs_number.length == 1)
+				write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
+			else
+				write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
+		}	
+
 		if (data.border_ID.indexOf('r') != -1){
 			if (parseInt(preferences.delete_and_show_previous_message) && folder == get_current_folder()){
Index: /trunk/expressoMail1_2/js/main.min.js
===================================================================
--- /trunk/expressoMail1_2/js/main.min.js	(revision 7563)
+++ /trunk/expressoMail1_2/js/main.min.js	(revision 7566)
@@ -1,2 +1,3 @@
+
 var time_refresh=300000;var check_services_interval=2000;var check_services_tryouts=1;var check_services_tryouts_limit=5;var autosave_time=40000;var results_search_messages="";var cabecalho='<h4>ExpressoLivre - ExpressoMail</h4>';var auxNotificationCriteriaVetor=[];var auxNotification;var countNewMessage=0;var notifyNewMessageFilter=[];var dynamicPersonalContacts=new Array();var dynamicPersonalGroups=new Array();var dynamicContacts=new Array();var topContact=0;DataLayer.get("folder",true);if(!String.prototype.trim){String.prototype.trim=function(){return this.replace(/^\s+|\s+$/g,'');}}
 function mount_url_folder(folders){return folders.join(cyrus_delimiter);}
@@ -214,7 +215,5 @@
 return false;}
 if(data.status==false){write_msg(get_lang("You don't have permission for this operation in this shared folder!"));return false;}
-mail_msg=(Element("divScrollMain_"+numBox))?Element("divScrollMain_"+numBox).firstChild.firstChild:Element("divScrollMain_0").firstChild.firstChild;if(data.msgs_number.length==1){write_msg(get_lang("The message was moved to folder ")+lang_folder(data.new_folder_name));}
-else{write_msg(get_lang("The messages were moved to folder ")+lang_folder(data.new_folder_name));}
-if(openTab.type[currentTab]>1)
+mail_msg=(Element("divScrollMain_"+numBox))?Element("divScrollMain_"+numBox).firstChild.firstChild:Element("divScrollMain_0").firstChild.firstChild;if(openTab.type[currentTab]>1)
 {msg_to_delete=Element(msgs_number);if(parseInt(preferences.delete_and_show_previous_message)&&msg_to_delete)
 {if(msg_to_delete.previousSibling)
@@ -252,7 +251,10 @@
 {msg_to_delete=Element(data.msgs_number[i]);if(msg_to_delete)
 mail_msg.removeChild(msg_to_delete);}
-if(data.msgs_number.length==1)
+if(preferences.use_local_messages==1){if(!expresso_mail_archive.isArchiveOperation){if(data.msgs_number.length==1)
 write_msg(get_lang("The message was moved to folder ")+lang_folder(data.new_folder_name));else
-write_msg(get_lang("The messages were moved to folder ")+lang_folder(data.new_folder_name));if(data.border_ID.indexOf('r')!=-1){if(parseInt(preferences.delete_and_show_previous_message)&&folder==get_current_folder()){delete_border(data.border_ID,'false');show_msg(data.previous_msg);}
+write_msg(get_lang("The messages were moved to folder ")+lang_folder(data.new_folder_name));}}else{if(data.msgs_number.length==1)
+write_msg(get_lang("The message was moved to folder ")+lang_folder(data.new_folder_name));else
+write_msg(get_lang("The messages were moved to folder ")+lang_folder(data.new_folder_name));}
+if(data.border_ID.indexOf('r')!=-1){if(parseInt(preferences.delete_and_show_previous_message)&&folder==get_current_folder()){delete_border(data.border_ID,'false');show_msg(data.previous_msg);}
 else{delete_border(data.border_ID,'false');}}
 if(folder==get_current_folder()){var n_total_msg=parseInt(Element('tot_m').innerHTML)-data.msgs_number.length;n_total_msg=n_total_msg>=0?n_total_msg:0;draw_paging(n_total_msg);Element('tot_m').innerHTML=n_total_msg;totalFolderMsgs-=data.msgs_number.length;}