Index: trunk/expressoMail1_2/assetic.php
===================================================================
--- trunk/expressoMail1_2/assetic.php	(revision 7575)
+++ trunk/expressoMail1_2/assetic.php	(revision 7578)
@@ -23,62 +23,75 @@
 use Assetic\Asset\AssetCollection;
 use Assetic\Asset\FileAsset;
-use Assetic\Asset\GlobAsset;
 use Assetic\Filter\Yui;
+use Assetic\Cache\FilesystemCache;
 
-$yuijs = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
-$plugins = new AssetCollection(array(   
-    new FileAsset('../prototype/plugins/json2/json2.js'),
-    new FileAsset('../prototype/plugins/ejs/ejs.js'),
-    new FileAsset('../prototype/plugins/scrollto/jquery.scrollTo.js'),
-    new FileAsset('../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js'),
-    new FileAsset('../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js'),
-    new FileAsset('../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js'),
-    new FileAsset('../prototype/plugins/lazy/jquery.lazy.js'),
-    new FileAsset('../prototype/plugins/datejs/date-pt-BR.js'),
-    new FileAsset('../prototype/plugins/datejs/sugarpak.js'),
-    new FileAsset('../prototype/plugins/datejs/parser.js'),
-    new FileAsset('../prototype/plugins/jq-raty/js/jquery.raty.min.js'),
-    new FileAsset('../prototype/plugins/jquery.jrating/jRating.jquery.js'),
-    new FileAsset('../prototype/plugins/watermark/jquery.watermarkinput.js'),
-    new FileAsset('../prototype/plugins/fileupload/jquery.iframe-transport.js'),
-    new FileAsset('../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js'),
-    new FileAsset('../prototype/modules/calendar/js/timezone.js'),
-    new FileAsset('../prototype/plugins/dateFormat/dateFormat.js'),
-    new FileAsset('../prototype/modules/calendar/js/calendar.date.js'),
-    new FileAsset('../prototype/modules/calendar/js/desktop.notification.js'),
-    new FileAsset('../prototype/modules/calendar/js/calendar.codecs.js'),
-    new FileAsset('../prototype/modules/calendar/js/calendar.alarms.js'),
-    new FileAsset('../prototype/modules/calendar/js/helpers.js'),
-    new FileAsset('../prototype/plugins/freeow/jquery.freeow.min.js'),
-    new FileAsset('../prototype/plugins/treeview/jquery.treeview.js'),
-    new FileAsset('../prototype/plugins/treeview/lib/jquery.cookie.js'),
-    new FileAsset('../prototype/plugins/block/jquery.blockUI.js'),
-    new FileAsset('../prototype/plugins/scrollto/jquery.scrollTo.js'),
-    new FileAsset('../prototype/plugins/jqgrid/js/i18n/grid.locale-pt-br.js'),
-    new FileAsset('../prototype/plugins/jqgrid/js/jquery.jqGrid.min.js'),
-    new FileAsset('../prototype/modules/mail/js/foldertree.js'),
-    new FileAsset('../prototype/plugins/zebradialog/javascript/zebra_dialog.js'),
-    new FileAsset('../prototype/plugins/alphanumeric/jquery.alphanumeric.js'),
-    new FileAsset('../prototype/plugins/freeow/jquery.freeow.js')
-)/* ,array($yuijs)*/);
-echo $plugins->dump();
+    $plugins = array(
+        '../prototype/plugins/json2/json2.js',
+        '../prototype/plugins/ejs/ejs.js',
+        '../prototype/plugins/scrollto/jquery.scrollTo.js',
+        '../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js',
+        '../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js',
+        '../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js',
+        '../prototype/plugins/lazy/jquery.lazy.js',
+        '../prototype/plugins/datejs/date-pt-BR.js',
+        '../prototype/plugins/datejs/sugarpak.js',
+        '../prototype/plugins/datejs/parser.js',
+        '../prototype/plugins/block/jquery.blockUI.js',
+        '../prototype/plugins/jq-raty/js/jquery.raty.min.js',
+        '../prototype/plugins/jquery.jrating/jRating.jquery.js',
+        '../prototype/plugins/watermark/jquery.watermarkinput.js',
+        '../prototype/plugins/fileupload/jquery.iframe-transport.js',
+        '../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js',
+        '../prototype/modules/calendar/js/timezone.js',
+        '../prototype/plugins/dateFormat/dateFormat.js',
+        '../prototype/modules/calendar/js/calendar.date.js',
+        '../prototype/modules/calendar/js/desktop.notification.js',
+        '../prototype/modules/calendar/js/calendar.codecs.js',
+        '../prototype/modules/calendar/js/calendar.alarms.js',
+        '../prototype/modules/calendar/js/helpers.js',
+        '../prototype/plugins/freeow/jquery.freeow.min.js',
+        '../prototype/plugins/treeview/jquery.treeview.js',
+        '../prototype/plugins/treeview/lib/jquery.cookie.js',    
+        '../prototype/plugins/scrollto/jquery.scrollTo.js',
+        '../prototype/plugins/jqgrid/js/i18n/grid.locale-pt-br.js',
+        '../prototype/plugins/jqgrid/js/jquery.jqGrid.min.js',
+        '../prototype/modules/mail/js/foldertree.js',
+        '../prototype/plugins/zebradialog/javascript/zebra_dialog.js',
+        '../prototype/plugins/alphanumeric/jquery.alphanumeric.js',
+        '../prototype/plugins/freeow/jquery.freeow.js'
+    );
 
-$yuijs = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
-$js = new AssetCollection(array(
-    new FileAsset('js/modal/modal.js'),
-    new FileAsset('js/base64.js'),
-    new FileAsset('js/QuickCatalogSearch.js'),
-    new FileAsset('js/common_functions.js'),
-    new FileAsset('js/abas.js'),
-    new FileAsset('js/draw_api.js'),
-    new FileAsset('js/main.js'),
-    new FileAsset('js/messages_controller.js'),
-    new FileAsset('js/doiMenuData.js'),
-    new FileAsset('js/rich_text_editor.js'),
-    new FileAsset('../prototype/modules/filters/filters.js'),
-    new FileAsset('../prototype/modules/mail/js/label.js'),
-    new FileAsset('js/init.js')
-)/*array($yuijs)*/);
-
-echo $js->dump();
+    $scripts = array(
+        'js/modal/modal.js',
+        'js/base64.js',
+        'js/QuickCatalogSearch.js',
+        'js/common_functions.js',
+        'js/abas.js',
+        'js/draw_api.js',
+        'js/main.js',
+        '../prototype/modules/mail/js/followupflag.js',
+        'js/messages_controller.js',
+        'js/doiMenuData.js',
+        'js/rich_text_editor.js',
+        '../prototype/modules/filters/filters.js',
+        '../prototype/modules/mail/js/label.js',
+        'js/init.js'
+    );
+    
+    foreach ($plugins as $filename) {
+        $compressor = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
+        $plugin = new AssetCache(
+            new FileAsset($filename/*,array($compressor)*/),
+            new FilesystemCache('/tmp')
+        );
+        echo $plugin->dump();
+    }
+    foreach ($scripts as $filename) {
+        $compressor = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
+        $script = new AssetCache(
+            new FileAsset($filename/*,array($compressor)*/),
+            new FilesystemCache('/tmp')
+        );
+        echo $script->dump();
+    }
 ?>
Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 7575)
+++ trunk/expressoMail1_2/index.php	(revision 7578)
@@ -288,5 +288,4 @@
 		<script type="text/javascript" src="../prototype/api/rest.js"></script>
 	';
-    
     // End Set Imap Folder names options
 	//User info
@@ -359,5 +358,5 @@
 	
 	echo '
-		<script type="text/javascript" src="../prototype/modules/mail/js/followupflag.js"></script>
+		<!--<script type="text/javascript" src="../prototype/modules/mail/js/followupflag.js"></script>-->
 		<script language="javascript">
 			DataLayer.dispatchPath = "../prototype/";
@@ -369,7 +368,5 @@
 	echo $obj -> getFilesJs($scripts, $update_version);
 	echo '<script type="text/javascript">connector.updateVersion = "'.$update_version.'";</script>';
-	
-	
-	echo '<script src="assetic.php"></script>';	
+	echo '<script src="assetic.php"></script>';
 	//echo '<script src="assetic_css.php"></script>';
 
Index: trunk/expressoMail1_2/js/modal/modal.js
===================================================================
--- trunk/expressoMail1_2/js/modal/modal.js	(revision 4312)
+++ trunk/expressoMail1_2/js/modal/modal.js	(revision 7578)
@@ -276,3 +276,2 @@
 
 add_css();
-//load_lang();
Index: trunk/expressoMail1_2/js/base64.js
===================================================================
--- trunk/expressoMail1_2/js/base64.js	(revision 5145)
+++ trunk/expressoMail1_2/js/base64.js	(revision 7578)
@@ -1,8 +1,6 @@
-/**
-*
-*  Base64 encode / decode
-*  http://www.webtoolkit.info/
-*
-**/
+/*
+	Base64 encode / decode
+	http://www.webtoolkit.info/
+*/
  
 var Base64 = {
@@ -139,4 +137,4 @@
 		return string;
 	}
+}	
  
-}