Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 7593)
+++ trunk/expressoMail1_2/js/main.js	(revision 7601)
@@ -431,5 +431,5 @@
 }
 /*
-	função que remove todos os anexos...
+	funcão que remove todos os anexos...
 */
 function remove_all_attachments(folder,msg_num) {
@@ -988,5 +988,5 @@
 function delete_msgs(folder, msgs_number, border_ID, show_success_msg,archive){	
             if( preferences.use_local_messages == 1 && expresso_local_messages.isArchiving( msgs_number, folder ) ){
-			  alert( "Impossivel deletar mensagens que estão ainda estão sendo arquivadas." );
+			  alert( "Impossivel deletar mensagens que ainda estão sendo arquivadas." );
 			  return;
 			}
@@ -1115,5 +1115,5 @@
 	    	msgFolder =  Base64.encode(get_current_folder());
 	    	tabToRemove = value + "_r_" + msgFolder.replace(/=/g,"");
-	    	if ($("#"+tabToRemove)){
+	    	if ($("#"+tabToRemove).length != 0){
 	    		delete_border(tabToRemove,'false');
 	    	}
@@ -1303,5 +1303,5 @@
 	var folder_error = new_folder_name;
         if( preferences.use_local_messages == 1 && expresso_local_messages.isArchiving( msgs_number, folder ) ){
-	    alert( "Impossivel mover mensagens que estão ainda estão sendo arquivadas." );
+	    alert( "Impossivel mover mensagens que ainda estão sendo arquivadas." );
 	    return;
 	}
@@ -1551,5 +1551,5 @@
         
 		expresso_mail_archive.update_counters = true;
-        //Folder de onde sai a mensagem Ã© local (armazenamento local)
+        //Folder de onde sai a mensagem é local (armazenamento local)
 
         if(msgs_number=='selected'){
@@ -1588,5 +1588,5 @@
 	else{
         if (proxy_mensagens.is_local_folder(new_folder)){
-            //esta tirando de um folder nÃ£o local para um folder local (arquivamento)
+            //esta tirando de um folder não local para um folder local (arquivamento)
             if(msgs_number=='selected'){
                 archive_msgs(folder, new_folder);
@@ -1597,5 +1597,5 @@
         }
         else{
-            //esta tirando de um folder nÃ£o local para outro folder nÃ£o local (move)
+            //esta tirando de um folder não local para outro folder não local (move)
             //move_msgs(folder, msgs_number, border_ID, new_folder, new_folder_name);
 			if (parseInt(msgs_number) > 0 || msgs_number.length > 0){
@@ -1769,5 +1769,5 @@
 
     if(typeof (currentTab) == "string" && currentTab.indexOf("local") != -1){  
-        alert("Impossível manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
+        alert("Impossével manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
         return true;
     }
@@ -3155,5 +3155,5 @@
 	{
 		ID_tmp = ID;
-		// Lê a variável e chama a nova função cExecuteForm
+		// Lá a variável e chama a nova função cExecuteForm
 		// Processa e envia para o servidor web
 		// Faz o request do connector novamente. Talvez implementar no connector
@@ -3170,5 +3170,5 @@
 		textArea.value += smime;
 
-		// Lê a variável e chama a nova função cExecuteForm
+		// Lá a variável e chama a nova função cExecuteForm
 		// Processa e envia para o servidor web
 		// Faz o request do connector novamente. Talvez implementar no connector
@@ -3189,6 +3189,6 @@
 
 /* 
- * Método que verifica se existe algum item de 'words' em 'body'. 
- * Se houver, retorna a primeira ocorrência encontrada de words, caso contrário retorna false. 
+ * Método que verifica se existe algum item de 'words' em 'body'.
+ * Se houver, retorna a primeira ocorrência encontrada de words, caso contrário retorna false.
  */
 function verifyBodyWords(body, words) {
@@ -3213,5 +3213,5 @@
 	else if(language == "es-es") //Espanhol
 		var words = ['anexo','adjunto', 'adjuntos', 'adjuntado','adjuntamos'];
-	else //Inglês ('en') 
+	else //Inglês ('en')
 		var words = ['attach', 'attachment', 'attached', 'annex', 'appending'];
 
@@ -3385,5 +3385,5 @@
 			}else{
 				if(semicolon.length > 1){
-					var stringError = "Erro de SMTP: Os endereços devem ser separados apenas por vígula: ";
+					var stringError = "Erro de SMTP: Os endereços devem ser separados apenas por vírgula: ";
 					for(var i= 0; i < semicolon.length; i++){
 						stringError = stringError + semicolon[i];
@@ -4086,5 +4086,5 @@
 function print_all(){
     if(typeof (currentTab) == "string" && currentTab.indexOf("local") != -1){  
-        alert("Impossível manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
+        alert("Impossével manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
         return true;
     }
@@ -5302,5 +5302,5 @@
 }
 
-		/* Função que chama a tela para o usuário reportar um erro no email. */ 
+		/* Funçãoo que chama a tela para o usuário reportar um erro no email. */
  		function reports_window(currentTab){ 
  		        ID_msg = currentTab.substr(0,currentTab.indexOf("_")); 