Index: /trunk/prototype/modules/mail/js/foldertree.js
===================================================================
--- /trunk/prototype/modules/mail/js/foldertree.js	(revision 7574)
+++ /trunk/prototype/modules/mail/js/foldertree.js	(revision 7612)
@@ -471,4 +471,5 @@
                         'type': 'question',
                         'overlay_opacity': '0.5',
+						'custom_class': 'custom-zebra-filter',
                         'buttons':  [get_lang('Yes'), get_lang('No')],
                         'onClose':  function(caption) {
Index: /trunk/prototype/modules/mail/js/label.js
===================================================================
--- /trunk/prototype/modules/mail/js/label.js	(revision 6641)
+++ /trunk/prototype/modules/mail/js/label.js	(revision 7612)
@@ -92,5 +92,5 @@
 	$.Zebra_Dialog('Deseja excluir esse marcador <strong>'+nameLabel+'</strong> das conversas que está relacionado e excluí-lo sem remover as conversas?', {
 		'type':     'question',
-		'custom_class': (is_ie ? 'configure-zebra-dialog' : ''),
+		'custom_class': (is_ie ? 'configure-zebra-dialog custom-zebra-filter' : 'custom-zebra-filter'),
 		'title':    'Atenção',
 		'buttons': ['Sim','Não'],		
Index: /trunk/prototype/modules/mail/js/followupflag.js
===================================================================
--- /trunk/prototype/modules/mail/js/followupflag.js	(revision 7543)
+++ /trunk/prototype/modules/mail/js/followupflag.js	(revision 7612)
@@ -402,5 +402,5 @@
 			$.Zebra_Dialog(get_lang('All messages flagged with the flag type ') + '<strong>'+ nameFollowupflag + '</strong>' + get_lang(' will be removed. This action cannot be undone. Want to continue?'), {
 				'type':     'question',
-				'custom_class': (is_ie ? 'configure-zebra-dialog' : ''),
+				'custom_class': (is_ie ? 'configure-zebra-dialog custom-zebra-filter' : 'custom-zebra-filter'),
 				'title':    'Atenção',
 				'buttons': ['Sim','Não'],		
Index: /trunk/prototype/modules/filters/filters.css
===================================================================
--- /trunk/prototype/modules/filters/filters.css	(revision 7609)
+++ /trunk/prototype/modules/filters/filters.css	(revision 7612)
@@ -126,8 +126,8 @@
 /*Custom zebraDialog - INICIO*/
 .custom-zebra-filter{
-    z-index: 9999 !important;
+    z-index: 1004 !important;
 }
 div.ZebraDialogOverlay {
-    z-index: 9998 !important;
+    z-index: 1004 !important;
 }
 /*Custom zebraDialog - FIM*/
Index: /trunk/expressoMail1_2/js/abas.js
===================================================================
--- /trunk/expressoMail1_2/js/abas.js	(revision 7608)
+++ /trunk/expressoMail1_2/js/abas.js	(revision 7612)
@@ -438,4 +438,5 @@
                             'type':     'question',
                             'overlay_opacity': '0.5',
+							'custom_class': 'custom-zebra-filter',
                             'buttons':  buttons,
                             'width' : width,
Index: /trunk/expressoMail1_2/js/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/sharemailbox.js	(revision 7354)
+++ /trunk/expressoMail1_2/js/sharemailbox.js	(revision 7612)
@@ -293,4 +293,5 @@
 				        'type':     'warning',
 				        'overlay_opacity': '0.5',
+						'custom_class': 'custom-zebra-filter',
 				        'buttons':  ['Fechar']
 				    });				
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 7611)
+++ /trunk/expressoMail1_2/js/main.js	(revision 7612)
@@ -660,4 +660,5 @@
 						'buttons':  [get_lang("Yes"), get_lang("No")],
 						'overlay_opacity' : 0.5,
+						'custom_class': 'custom-zebra-filter',
 						'onClose':  function(caption) {
 							if(caption == get_lang("Yes"))
@@ -3222,4 +3223,5 @@
 				'buttons':  ['OK', 'Cancelar'],
 				'width' : 500,
+				'custom_class': 'custom-zebra-filter',
 				'onClose':  function(clicked) {
 					if(clicked == 'OK' ){
@@ -3242,4 +3244,5 @@
 				'type':     'question',
 				'overlay_opacity': '0.5',
+				'custom_class': 'custom-zebra-filter',
 				'buttons':  ['Descartar anexos e enviar', 'Continuar editando e esperar anexos'],
 				'width' : 500,
@@ -3621,4 +3624,5 @@
                 'type':     'warning',
                 'overlay_opacity': '0.5',
+				'custom_class': 'custom-zebra-filter',
                 'buttons':  ['Fechar']
             });
@@ -4102,4 +4106,5 @@
 	    'buttons': ['Sim','Não'],
 	    'overlay_opacity': '0.5',
+		'custom_class': 'custom-zebra-filter',
 	    'onClose':  function(caption) {
 	        if(caption == 'Sim'){
@@ -4272,4 +4277,5 @@
 		'buttons':  [get_lang("Yes"), get_lang("No")],
 		'overlay_opacity' : 0.5,
+		'custom_class': 'custom-zebra-filter',
 		'onClose':  function(caption) {
 
@@ -4325,4 +4331,5 @@
 		'buttons':  [get_lang("Yes"), get_lang("No")],
 		'overlay_opacity' : 0.5,
+		'custom_class': 'custom-zebra-filter',
 		'onClose':  function(caption) {
 			if(caption == get_lang("Yes")){
@@ -4627,4 +4634,5 @@
 							 				'type'				: 'warning',
 							 				'overlay_opacity'	: '0.5',
+											'custom_class': 'custom-zebra-filter',
 							 				'onClose'			:  function(){
 							 					$("#importMessageAccordion").accordion('activate',0);	
@@ -4638,4 +4646,5 @@
 												'type'				: 'warning',
 												'overlay_opacity'	: '0.5',
+												'custom_class': 'custom-zebra-filter',
 								 				'onClose'			:  function(){
 								 					$("#importMessageAccordion").accordion('activate',1);	
@@ -4702,5 +4711,6 @@
 			$.Zebra_Dialog( get_lang('File extension forbidden or invalid file') , {
 				'type'				: 'warning',
-				'overlay_opacity'	: '0.5'
+				'overlay_opacity'	: '0.5',
+				'custom_class': 'custom-zebra-filter'
 			});
 		}
Index: /trunk/expressoMail1_2/js/ccQuickAdd.js
===================================================================
--- /trunk/expressoMail1_2/js/ccQuickAdd.js	(revision 6910)
+++ /trunk/expressoMail1_2/js/ccQuickAdd.js	(revision 7612)
@@ -81,5 +81,6 @@
 								'modal': false,
 								'position': ['right - 20', 'top + 20'],
-								'auto_close': 3000
+								'auto_close': 3000,
+								'custom_class': 'custom-zebra-filter'
 							});
 							return false;
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 7611)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 7612)
@@ -4303,5 +4303,6 @@
 							'modal': false,
 							'position': ['right - 20', 'top + 20'],
-							'auto_close': 3000
+							'auto_close': 3000,
+							'custom_class': 'custom-zebra-filter'
 						});
 					}).find(".box-input").val("\""+data.collection.data[1].value+"\" <"+$.trim(data.collection.data[2].value)+">");
@@ -4330,5 +4331,6 @@
 							'modal': false,
 							'position': ['right - 20', 'top + 20'],
-							'auto_close': 3000
+							'auto_close': 3000,
+							'custom_class': 'custom-zebra-filter'
 						});
 					}).find(".box-input").val("\""+item.name+"\" <"+$.trim(item.email)+">");
@@ -4357,5 +4359,6 @@
 						'modal': false,
 						'position': ['right - 20', 'top + 20'],
-						'auto_close': 3000
+						'auto_close': 3000,
+						'custom_class': 'custom-zebra-filter'
 					});
 				}).find(".box-input").val("\""+item.name+"\" <"+$.trim(item.email)+">");
@@ -4436,5 +4439,6 @@
 						'modal': false,
 						'position': ['right - 20', 'top + 20'],
-						'auto_close': 3000
+						'auto_close': 3000,
+						'custom_class': 'custom-zebra-filter'
 					});
 				});
@@ -4593,5 +4597,5 @@
                     $.Zebra_Dialog('Deseja remover <b>'+(item.name ? (item.name.length <= 30 ? item.name: item.name.substr(0,27)+"...")+" - " : "")+ item.mail+'</b>?', {
                         'type':     'question',
-                        'custom_class': (is_ie ? 'configure-zebra-dialog' : ''),
+                        'custom_class': (is_ie ? 'configure-zebra-dialog custom-zebra-filter' : 'custom-zebra-filter'),
                         'buttons': ['Sim','Não'],
                         'overlay_opacity': '0.5',
@@ -4711,4 +4715,5 @@
 	            'buttons':  ['OK','Cancelar'],
 	            'width' : 380,
+				'custom_class': 'custom-zebra-filter',
 	            'onClose':  function(clicked) {
 	                if(clicked == 'OK'){