Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 7612)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 7614)
@@ -2837,5 +2837,9 @@
 	option_reply.id = 'msg_opt_reply_'+ID;
 	option_reply.className = 'message_options';
-	option_reply.onclick = function(){new_message('reply_with_history', ID);};
+	option_reply.onclick = function(){
+		
+		new_message(($.cookie("option_reply")) ? $.cookie("option_reply") : "reply_with_history", ID);
+		
+	};
 	option_reply.innerHTML = get_lang('Reply');
 	option_reply.onmouseover=function () {this.className='message_options_active';};
@@ -2957,14 +2961,75 @@
 		var option_export = '<span onclick="proxy_mensagens.export_all_messages()" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Export")+'</span> | ';
 
-		option_reply_to_all__title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'T') : '';
-		var option_reply_to_all = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick="new_message(\'reply_to_all_with_history\',\''+ID+'\');" title="'+option_reply_to_all__title+'">'+get_lang("Reply to all")+'</span> | ';
-	var option_reply_without_history = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
-		var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span>  | ';
-
+		// CRIAÇÃO DE OPÇÕES DE RESPONDER MENSAGEM
+		var space_replay1 = document.createElement('SPAN');
+		space_replay1.innerHTML = '&nbsp;|&nbsp;';
+		
+		var space_replay2 = document.createElement('SPAN');
+		space_replay2.innerHTML = '&nbsp;|&nbsp;';
+		
+		var space_replay3 = document.createElement('SPAN');
+		space_replay3.innerHTML = '&nbsp;|&nbsp;';
+		
+		// RESPONDER A TODOS
+		var option_reply_to_all = document.createElement('SPAN');
+		option_reply_to_all.onmouseover = function () {this.className = "reply_options_active";};
+		option_reply_to_all.onmouseout = function () {this.className= "reply_options";};
+		option_reply_to_all.className = "reply_options";
+		option_reply_to_all.onclick = function(){
+			new_message('reply_to_all_with_history', ID);
+			$.cookie ("option_reply", "reply_to_all_with_history", { expires: 5});
+		};
+		option_reply_to_all.title = (preferences.use_shortcuts == '1') ? get_lang('Shortcut: %1', 'T') : '';
+		option_reply_to_all.innerHTML = get_lang("Reply to all");
+		
+		// RESPONDER SEM HISTORICO
+		var option_reply_without_history = document.createElement('SPAN');
+		option_reply_without_history.onmouseover = function () {this.className = "reply_options_active";};
+		option_reply_without_history.onmouseout = function () {this.className= "reply_options";};
+		option_reply_without_history.className = "reply_options";
+		option_reply_without_history.onclick = function(){
+			new_message('reply_without_history', ID);
+			$.cookie ("option_reply", "reply_without_history", { expires: 5});
+		};
+		option_reply_without_history.innerHTML = get_lang("Reply without history");
+		
+		// RESPONDER A TODOS SEM HISTORICO
+		var option_reply_to_all_without_history = document.createElement('SPAN');
+		option_reply_to_all_without_history.onmouseover = function () {this.className = "reply_options_active";};
+		option_reply_to_all_without_history.onmouseout = function () {this.className= "reply_options";};
+		option_reply_to_all_without_history.className = "reply_options";
+		option_reply_to_all_without_history.onclick = function(){
+			new_message('reply_to_all_without_history', ID);
+			$.cookie ("option_reply", "reply_to_all_without_history", { expires: 5});
+		};
+		option_reply_to_all_without_history.innerHTML = get_lang("Reply to all without history");
+		
+		// RESPONDER COM HISTÓRICO
+		var option_reply_with_history = document.createElement('SPAN');
+		option_reply_with_history.onmouseover = function () {this.className = "reply_options_active";};
+		option_reply_with_history.onmouseout = function () {this.className= "reply_options";};
+		option_reply_with_history.className = "reply_options";
+		option_reply_with_history.onclick = function(){
+			new_message('reply_with_history', ID);
+			$.cookie ("option_reply", "reply_with_history", { expires: 5});
+		};
+		option_reply_with_history.innerHTML = get_lang("Reply with history");
+		
+		// APENDAR OPÇÕES DE RESPONDER
+		div_other_options.appendChild(option_reply_to_all);
+		div_other_options.appendChild(space_replay1);
+		div_other_options.appendChild(option_reply_to_all_without_history);
+		div_other_options.appendChild(space_replay2);
+		div_other_options.appendChild(option_reply_with_history);
+		div_other_options.appendChild(space_replay3);
+		div_other_options.appendChild(option_reply_without_history);
+
+		
+		
 		var report_error        = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=reports_window("'+currentTab+'");>'+get_lang("Report error")+'</span> | '; 
 
 		div_other_more_options.innerHTML += option_move + option_print + option_export + block_user +  report_error;
-		
-		div_other_options.innerHTML += option_reply_without_history + option_reply_to_all_without_history + option_reply_to_all;
+
+		//div_other_options.innerHTML += option_reply_without_history + option_reply_to_all_without_history + option_reply_to_all;
 	if (use_spam_filter) {
 			if(info_msg.msg_folder == 'INBOX'+cyrus_delimiter+'Spam' || (info_msg.msg_folder.match(/^user/) && info_msg.msg_folder.match(/Spam$/))){